# Generated from url-0.3.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name url

Name: rubygem-%{gem_name}
Version: 0.3.2
Release: 1%{?dist}.3
Summary: A URL object
License: MIT
URL: http://github.com/talby/url
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: (rubygem(rspec) >= 2 with rubygem(rspec) < 3)
# BuildRequires: rubygem(yard) >= 0.7.1
# BuildRequires: rubygem(typhoeus)
BuildArch: noarch

%description
A simple url object to allow for OO based manipulation and usage of a url.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec2 spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Thu May 24 2018 Oleg Girko <ol@infoserver.lv> - 0.3.2-1
- Initial package
